Package com.independentsoft.office.odf

# Class TableOfContentsEntryTemplate

java.lang.Object
com.independentsoft.office.odf.TableOfContentsEntryTemplate

public class TableOfContentsEntryTemplate extends Object
Represents the format of an index entry for a particular outline level.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableOfContentsEntryTemplate()`
  Initializes a new instance of the TableOfContentsEntryTemplate class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableOfContentsEntryTemplate`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<ITableOfContentsEntryTemplateContent>`
  `getContent()`
  Contains a collection of ITableOfContentsEntryTemplateContent objects.
  `int`
  `getOutlineLevel()`
  Specifies to which outline level an entry configuration applies.
  `String`
  `getStyle()`
  Gets the paragraph family styles.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Specifies to which outline level an entry configuration applies.
  `void`
  `setStyle​(String style)`
  Sets the paragraph family styles.
  `String`
  `toString()`
  Converts the value of the current TableOfContentsEntryTemplate object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableOfContentsEntryTemplate

    public TableOfContentsEntryTemplate()
    Initializes a new instance of the TableOfContentsEntryTemplate class.

- ## Method Details

  - ### clone

    public TableOfContentsEntryTemplate clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TableOfContentsEntryTemplate object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the paragraph family styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the paragraph family styles.
    Parameters:
      `style` - the new style

  - ### getOutlineLevel

    public int getOutlineLevel()
    Specifies to which outline level an entry configuration applies.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Specifies to which outline level an entry configuration applies.
    Parameters:
      `outlineLevel` - the new outline level

  - ### getContent

    public List<ITableOfContentsEntryTemplateContent> getContent()
    Contains a collection of ITableOfContentsEntryTemplateContent objects.
    Returns:
      the content